
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### kftpinterfaces (shared)

tde_add_library( kftpinterfaces SHARED AUTOMOC

  SOURCES
        kftpbookmarkimportplugin.cpp
  LINK
     tdecore-shared
     tdeui-shared
     tdeparts-shared

  VERSION 0.0.0
  
  DESTINATION ${LIB_INSTALL_DIR}
)


##### other data

tde_create_translated_desktop(
    SOURCE kftpbookmarkimportplugin.desktop
    DESTINATION ${SERVICETYPES_INSTALL_DIR}
)


install(
    FILES kftpbookmarkimportplugin.h
    DESTINATION ${INCLUDE_INSTALL_DIR}/${PROJECT_NAME}
)
